Minimum Age for WooCommerce

Description

Add a checkout question for the customer’s date of birth, and enforce a minimum age. The customer cannot checkout if their given date of birth means they are younger than the minimum age.

Requirements

  • WooCommerce 3.0 or greater
  • PHP 5.6 or greater

Translations

If you’d like to help out by translating this plugin, please sign up for an account and dig in.

Contributions

Privacy

The customer’s date of birth is recorded, so that transactions can be audited for compliance with minimum age legislation. The customer’s date of birth is transmitted in order confirmation and notification emails. This information is not shared with any other parties.

Screenshots

  • WooCommerce settings
  • The birth date question in the checkout, showing an error message

FAQ

How can I set the minimum age?

The default minimum age is 18. You can change it the WooCommerce settings:

WooCommerce > Settings > Minimum Age > Minimum age

How can I change the order of the date fields?

The default order of the birth date fields is day, month, year. You can choose a different layout in the settings:

WooCommerce > Settings > Minimum Age > Date layout

Can I show the date of birth question conditionally?

There is a filter hook minimum_age_woo_show_question that allows developers to hide the date of birth question if it isn’t required, e.g. only show for products in certain categories. It accepts a single boolean parameter, and returns a boolean: true to show the question, otherwise false.

Reviews

June 25, 2021
Staring July 1 2021 for online shops in The Netherlands when selling alcohol age verification is mandatory. This is exactly what I needed, simple and effective. Thank you for providing!
April 15, 2021
Great plugin, it is light and it works as expected. But there is an urgent need to have the customer form and the errors translated to various languages. I updated the file "class.Checkout.php" but this is something I have to do every time there is an update. Please use po/mo files instead!
January 18, 2019
Thank you for providing a nice plugin. It works.
Read all 4 reviews

Contributors & Developers

“Minimum Age for WooCommerce” is open source software. The following people have contributed to this plugin.

Contributors

“Minimum Age for WooCommerce” has been translated into 7 locales. Thank you to the translators for their contributions.

Translate “Minimum Age for WooCommerce” into your language.

Interested in development?

Browse the code, check out the SVN repository, or subscribe to the development log by RSS.

Change log

The full changelog can be found on GitHub. Recent entries:

1.1.0

Released 2023-10-31

  • fixed: support for WooCommerce HPOS (high performance order storage)
  • added: filter hook minimum_age_woo_show_question allowing hookers to conditionally suppress the age question
  • changed: marked as tested up to WooCommerce 8.2